﻿using Hotline.Settings;

namespace Hotline.Caching.Interfaces
{
    public interface ISystemSettingCacheManager
    {
        SystemSetting? GetSetting(string code);
        void DelSystemSetting(string code);
        int NoConnectByeTimes { get; }
        int EffectiveTimes { get; }
        int ConnectByeTimes { get; }
        int CallInOverConnRingTime { get; }
        int SeatChaoTime { get; }
        int RingTimes { get; }
        string RecordPrefix { get; }

        /// <summary>
        /// 中心直办件默认回访人Id
        /// 根据禅道 自贡需求 Id_361, 第一条, 3小条需求;
        /// </summary>
        string DefaultVisitEmployeeId { get; }
        int FixedQueryCount { get; }
    }
}
